import http from "@ohos.net.http";
import { DefaultAPI } from "./r";
import m from "../g/h";
export class d1 {
    static t1(identifier, url, f6) {
        if (d1.z2[identifier] === url && d1.a3[identifier] === f6) {
            m.i(`path not change.`);
            return;
        }
        d1.z2[identifier] = d1.b3(url);
        d1.a3[identifier] = d1.b3(f6);
        d1.c3(identifier);
    }
    static b3(input) {
        if (input === undefined) {
            return input;
        }
        if (input.endsWith('/')) {
            return input.slice(0, -1);
        }
        return input;
    }
    static v2(identifier, statusCode) {
        if (statusCode !== http.ResponseCode.OK && !d1.d3.has(identifier)) {
            const e6 = d1.a3[identifier];
            if (e6) {
                d1.z2[identifier] = e6;
            }
            d1.d3.add(identifier);
        }
    }
    static c3(identifier) {
        d1.d3.delete(identifier);
    }
    static s2(identifier) {
        return d1.z2[identifier] || DefaultAPI;
    }
}
d1.z2 = {};
d1.a3 = {};
d1.d3 = new Set();
